function eth = currentEdgeThreshold( m )
	eth = m.globalProps.thresholdsq * ...
          ((m.globalDynamicProps.currentArea/m.globalProps.initialArea) ^ ...
           m.globalProps.longSplitThresholdPower);
end
